> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Charge Detail

> Retrieve details of a specific charge by ID



## OpenAPI

````yaml get /v1/charges/{charge_id}
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/charges/{charge_id}:
    get:
      summary: Get Charge Details
      description: Get charge details
      operationId: get-charge
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: charge_id
          in: path
          description: The charge id
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful payment
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 9cecc92d-9d93-49d6-bd3f-2bb74dcbb283
                    currency: sgd
                    home_currency: sgd
                    exchange_rate: null
                    amount: 100
                    amount_without_fees: 95.85
                    refunded_amount: 0
                    fixed_fee: 0.5
                    discount_fee: 3.65
                    discount_fee_rate: 3.65
                    remark: NEWUI from 2024-08-31 To 2024-08-31
                    status: succeeded
                    payment_method:
                      code: stripe_sg
                      display_logo:
                        sm: >-
                          https://api.sandbox.hit-pay.com/icons/methods/sm/visa.png
                        md: >-
                          https://api.sandbox.hit-pay.com/icons/methods/md/visa.png
                        lg: >-
                          https://api.sandbox.hit-pay.com/icons/methods/lg/visa.png
                        svg: >-
                          https://api.sandbox.hit-pay.com/icons/methods/svg/visa.svg
                        svg_square: >-
                          https://api.sandbox.hit-pay.com/icons/methods/svg_square/visa.svg
                        png_square: >-
                          https://api.sandbox.hit-pay.com/icons/methods/png_square/visa.png
                        method: visa
                        iconName: visa
                        displayName: Visa
                      provider_reference: ch_3Pv6duAMHowMCIhZ2P9NCA6j
                      type: charge
                      name: card
                      method_logo:
                        sm: >-
                          https://api.sandbox.hit-pay.com/icons/methods/sm/card.png
                        md: >-
                          https://api.sandbox.hit-pay.com/icons/methods/md/card.png
                        lg: >-
                          https://api.sandbox.hit-pay.com/icons/methods/lg/card.png
                        svg: >-
                          https://api.sandbox.hit-pay.com/icons/methods/svg/card.svg
                        svg_square: >-
                          https://api.sandbox.hit-pay.com/icons/methods/svg_square/card.svg
                        png_square: >-
                          https://api.sandbox.hit-pay.com/icons/methods/png_square/card.png
                        method: card
                        iconName: card
                        displayName: Cards
                      data:
                        brand: Visa
                        last4: '4242'
                        country_code: US
                        country: United States of America
                    customer_id: 9a659602-eafd-4731-972d-424aef24fb2f
                    customer:
                      name: KimC
                      email: cherykim@yopmail.com
                      phone_number: '993348342'
                    payment_request_id: null
                    webhook_status: false
                    order_reference_number: null
                    target_id: 9c0fd92e-1cc8-478f-8b2e-71ee8a218ec5
                    target_type: business_recurring_plan
                    executor: null
                    location: null
                    channel: api_recurring_dashboard
                    admin_fee: false
                    refunds: []
                    webhook_logs: []
                    terminal_id: null
                    closed_at: '2024-09-04T08:00:16+08:00'
                    created_at: '2024-09-04T08:00:17+08:00'
                    updated_at: '2024-09-04T08:01:19+08:00'
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: 9cecc92d-9d93-49d6-bd3f-2bb74dcbb283
                  currency:
                    type: string
                    example: sgd
                  home_currency:
                    type: string
                    example: sgd
                  exchange_rate:
                    type: string
                    nullable: true
                    example: null
                  amount:
                    type: number
                    example: 100
                  amount_without_fees:
                    type: number
                    example: 95.85
                  refunded_amount:
                    type: number
                    example: 0
                  fixed_fee:
                    type: number
                    example: 0.5
                  discount_fee:
                    type: number
                    example: 3.65
                  discount_fee_rate:
                    type: number
                    example: 3.65
                  remark:
                    type: string
                    example: NEWUI from 2024-08-31 To 2024-08-31
                  status:
                    type: string
                    example: succeeded
                  payment_method:
                    type: object
                    properties:
                      code:
                        type: string
                        example: stripe_sg
                      display_logo:
                        type: object
                        properties:
                          sm:
                            type: string
                            example: >-
                              https://api.sandbox.hit-pay.com/icons/methods/sm/visa.png
                          md:
                            type: string
                            example: >-
                              https://api.sandbox.hit-pay.com/icons/methods/md/visa.png
                          lg:
                            type: string
                            example: >-
                              https://api.sandbox.hit-pay.com/icons/methods/lg/visa.png
                          svg:
                            type: string
                            example: >-
                              https://api.sandbox.hit-pay.com/icons/methods/svg/visa.svg
                          svg_square:
                            type: string
                            example: >-
                              https://api.sandbox.hit-pay.com/icons/methods/svg_square/visa.svg
                          png_square:
                            type: string
                            example: >-
                              https://api.sandbox.hit-pay.com/icons/methods/png_square/visa.png
                          method:
                            type: string
                            example: visa
                          iconName:
                            type: string
                            example: visa
                          displayName:
                            type: string
                            example: Visa
                      provider_reference:
                        type: string
                        example: ch_3Pv6duAMHowMCIhZ2P9NCA6j
                      type:
                        type: string
                        example: charge
                      name:
                        type: string
                        example: card
                      method_logo:
                        type: object
                        properties:
                          sm:
                            type: string
                            example: >-
                              https://api.sandbox.hit-pay.com/icons/methods/sm/card.png
                          md:
                            type: string
                            example: >-
                              https://api.sandbox.hit-pay.com/icons/methods/md/card.png
                          lg:
                            type: string
                            example: >-
                              https://api.sandbox.hit-pay.com/icons/methods/lg/card.png
                          svg:
                            type: string
                            example: >-
                              https://api.sandbox.hit-pay.com/icons/methods/svg/card.svg
                          svg_square:
                            type: string
                            example: >-
                              https://api.sandbox.hit-pay.com/icons/methods/svg_square/card.svg
                          png_square:
                            type: string
                            example: >-
                              https://api.sandbox.hit-pay.com/icons/methods/png_square/card.png
                          method:
                            type: string
                            example: card
                          iconName:
                            type: string
                            example: card
                          displayName:
                            type: string
                            example: Cards
                      data:
                        type: object
                        properties:
                          brand:
                            type: string
                            example: Visa
                          last4:
                            type: string
                            example: '4242'
                          country_code:
                            type: string
                            example: US
                          country:
                            type: string
                            example: United States of America
                  customer_id:
                    type: string
                    example: 9a659602-eafd-4731-972d-424aef24fb2f
                  customer:
                    type: object
                    properties:
                      name:
                        type: string
                        example: KimC
                      email:
                        type: string
                        example: cherykim@yopmail.com
                      phone_number:
                        type: string
                        example: '993348342'
                  payment_request_id:
                    type: string
                    nullable: true
                    example: null
                  webhook_status:
                    type: boolean
                    example: false
                  order_reference_number:
                    type: string
                    nullable: true
                    example: null
                  target_id:
                    type: string
                    example: 9c0fd92e-1cc8-478f-8b2e-71ee8a218ec5
                  target_type:
                    type: string
                    example: business_recurring_plan
                  executor:
                    type: string
                    nullable: true
                    example: null
                  location:
                    type: object
                    nullable: true
                    properties:
                      id:
                        type: string
                        example: null
                      name:
                        type: string
                        example: null
                      address:
                        type: string
                        example: null
                  channel:
                    type: string
                    example: api_recurring_dashboard
                  admin_fee:
                    type: boolean
                    example: false
                  refunds:
                    type: array
                    items:
                      type: object
                    example: []
                  webhook_logs:
                    type: array
                    items:
                      type: object
                    example: []
                  terminal_id:
                    type: string
                    nullable: true
                    example: null
                  closed_at:
                    type: string
                    example: '2024-09-04T08:00:16+08:00'
                  created_at:
                    type: string
                    example: '2024-09-04T08:00:17+08:00'
                  updated_at:
                    type: string
                    example: '2024-09-04T08:01:19+08:00'
      deprecated: false

````